TravelyfeHelp
DevelopersReferenceDocuments

Get A Document's File

GET
/v1/itineraries/{id}/documents/{documentId}/file

A short-lived link to one of your document's sealed file. Documents are encrypted on the traveller's own devices before upload; the server only ever holds the sealed file and never its contents. Requires Travelyfe Pro.

Only available to the Travelyfe apps. Tokens issued to other apps receive forbidden.

AuthorizationBearer <token>

A Travelyfe access token.

In: header

Path Parameters

id*string

The itinerary id (UUID).

Formatuuid
documentId*string

The document id.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/itineraries/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents/string/file"
{  "url": "http://example.com"}